# Uses of Interface
com.ocient.transport.SimplexTransport

Packages that use SimplexTransport
Package
Description
com.ocient.jdbc
com.ocient.transport

## Uses of SimplexTransport in com.ocient.jdbc

Fields in com.ocient.jdbc with type parameters of type SimplexTransport
Modifier and Type
Field
Description
`static final Map<String,SimplexTransportFactory<? extends SimplexTransport<io.netty.buffer.ByteBuf,io.netty.buffer.ByteBuf>>>`
XGConnection.`DEFAULT_TRANSPORT_FACTORIES`
Methods in com.ocient.jdbc that return SimplexTransport
Modifier and Type
Method
Description
`protected SimplexTransport<io.netty.buffer.ByteBuf,io.netty.buffer.ByteBuf>`
XGConnection.`getTransport()`
Method parameters in com.ocient.jdbc with type arguments of type SimplexTransport
Modifier and Type
Method
Description
`static XGConnection`
XGConnection.`TEST_createConnection(XGConnectionInfo info, Map<String,SimplexTransportFactory<? extends SimplexTransport<io.netty.buffer.ByteBuf,io.netty.buffer.ByteBuf>>> transportFactories)`
`static XGConnection`
XGConnection.`TEST_createConnection(String user, String pwd, String ip, int portNum, String url, String database, String protocolVersion, XGConnection.Tls tls, CaselessProperties hint_properties, Map<String,SimplexTransportFactory<? extends SimplexTransport<io.netty.buffer.ByteBuf,io.netty.buffer.ByteBuf>>> transportFactories)`

## Uses of SimplexTransport in com.ocient.transport

Classes in com.ocient.transport with type parameters of type SimplexTransport
Modifier and Type
Interface
Description
`interface`
`SimplexTransportFactory<T extends SimplexTransport<?,?>>`
Classes in com.ocient.transport that implement SimplexTransport
Modifier and Type
Class
Description
`class`
`JavaNetOcientWireV1Transport`
`class`
`NettyOcientWireV1Transport`
Transport implementation that implements the Ocient Wire Protocol V1.